#version 330 core

layout(location = 0) in vec3 position; // Vertex position
out vec3 color; // Output color to the fragment shader

void main() {
    gl_Position = vec4(position, 1.0); // Set the position of the vertex
    color = position + vec3(0.5); // Set the color based on the vertex position
}